Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class JDBCConnectionPoolConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.JDBCConnectionPoolConfigKeys

public final class JDBCConnectionPoolConfigKeys
extends java.lang.Object

Keys for use with `DomainConfig.createJDBCConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, boolean, int, boolean, boolean, java.lang.String, int, int, int, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`.

See Also:
  `IsolationValues`

Field Summary
`static java.lang.String` | `CONNECTION_VALIDATION_METHOD_KEY` Key for use with `DomainConfig.createJDBCConnectionPoolConfig(String, String, Map)` See `ConnectionValidationMethodValues`.
`static java.lang.String` | `DATABASE_NAME_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `DATABASE_PASSWORD_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `DATABASE_USER_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `DATASOURCE_CLASSNAME_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `FAIL_ALL_CONNECTIONS_KEY` Key for use with `DomainConfig.createJDBCConnectionPoolConfig(String, String, Map)`
`static java.lang.String` | `IDLE_TIMEOUT_IN_SECONDS_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `IS_CONNECTION_VALIDATION_REQUIRED_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `IS_ISOLATION_LEVEL_GUARANTEED_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `MAX_POOL_SIZE_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `MAX_WAIT_TIME_MILLIS_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `POOL_RESIZE_QUANTITY_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `RES_TYPE_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)} Possible values: javax.sql.DataSource javax.sql.XADataSource javax.sql.ConnectionPoolDataSource
`static java.lang.String` | `STEADY_POOL_SIZE_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}
`static java.lang.String` | `TRANSACTION_ISOLATION_LEVEL_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)} See `IsolationValues`.
`static java.lang.String` | `VALIDATION_TABLE_NAME_KEY` Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_VALIDATION_METHOD_KEY

    public static final java.lang.String CONNECTION_VALIDATION_METHOD_KEY

  Key for use with `DomainConfig.createJDBCConnectionPoolConfig(String, String, Map)` See `ConnectionValidationMethodValues`.

  See Also:
    Constant Field Values

### VALIDATION_TABLE_NAME_KEY

    public static final java.lang.String VALIDATION_TABLE_NAME_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### DATASOURCE_CLASSNAME_KEY

    public static final java.lang.String DATASOURCE_CLASSNAME_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### FAIL_ALL_CONNECTIONS_KEY

    public static final java.lang.String FAIL_ALL_CONNECTIONS_KEY

  Key for use with `DomainConfig.createJDBCConnectionPoolConfig(String, String, Map)`

  See Also:
    Constant Field Values

### IDLE_TIMEOUT_IN_SECONDS_KEY

    public static final java.lang.String IDLE_TIMEOUT_IN_SECONDS_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### IS_CONNECTION_VALIDATION_REQUIRED_KEY

    public static final java.lang.String IS_CONNECTION_VALIDATION_REQUIRED_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### IS_ISOLATION_LEVEL_GUARANTEED_KEY

    public static final java.lang.String IS_ISOLATION_LEVEL_GUARANTEED_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### TRANSACTION_ISOLATION_LEVEL_KEY

    public static final java.lang.String TRANSACTION_ISOLATION_LEVEL_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)} See `IsolationValues`.

  See Also:
    Constant Field Values

### MAX_POOL_SIZE_KEY

    public static final java.lang.String MAX_POOL_SIZE_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### MAX_WAIT_TIME_MILLIS_KEY

    public static final java.lang.String MAX_WAIT_TIME_MILLIS_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### POOL_RESIZE_QUANTITY_KEY

    public static final java.lang.String POOL_RESIZE_QUANTITY_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### RES_TYPE_KEY

    public static final java.lang.String RES_TYPE_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)} Possible values:
  - javax.sql.DataSource
  - javax.sql.XADataSource
  - javax.sql.ConnectionPoolDataSource

  See Also:
    Constant Field Values

### STEADY_POOL_SIZE_KEY

    public static final java.lang.String STEADY_POOL_SIZE_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### DATABASE_NAME_KEY

    public static final java.lang.String DATABASE_NAME_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### DATABASE_USER_KEY

    public static final java.lang.String DATABASE_USER_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

### DATABASE_PASSWORD_KEY

    public static final java.lang.String DATABASE_PASSWORD_KEY

  Key for use with @link { DomainConfig#createJDBCConnectionPoolConfig(String, String, Map)}

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.